var NAVTREE =
[
  [ "libzypp", "index.html", [
    [ "Welcome to libzypp", "index.html", [
      [ "What is libzypp?", "index.html#whatis", null ],
      [ "Implementation", "index.html#impl", null ],
      [ "Other functionality offered by libzypp", "index.html#otherfunc", null ],
      [ "3rd party software libzypp is based on", "index.html#thirdpfunc", null ],
      [ "Join the community", "index.html#join", null ],
      [ "License", "index.html#license", null ]
    ] ],
    [ "Code 12 Application Metadata", "zypp--appdata.html", [
      [ "Intro", "zypp--appdata.html#zypp-appdata_intro", null ],
      [ "Missing or wrong appdata", "zypp--appdata.html#zypp-appdata_wrong_appdata", null ]
    ] ],
    [ "Code Pitfalls - Frequently made mistakes", "CodePitfalls.html", [
      [ "Comparing TriBool values", "CodePitfalls.html#TriBoolCompare", null ]
    ] ],
    [ "Code Snippets", "CodeSnippets.html", [
      [ "for_", "CodeSnippets.html#for_", null ],
      [ "erase elements from containers", "CodeSnippets.html#erase", null ]
    ] ],
    [ "Environment Variables", "zypp-envars.html", [
      [ "Environment Variables", "zypp-envars.html#zypp-envars-intro", [
        [ "zypp config options", "zypp-envars.html#zypp-envars-config", null ],
        [ "Variables related to repositories", "zypp-envars.html#zypp-envars-repos", null ],
        [ "Variables related to commit", "zypp-envars.html#zypp-envars-commit", null ],
        [ "Variables related to logging", "zypp-envars.html#zypp-envars-logging", null ],
        [ "Selecting the mediabackend to use.", "zypp-envars.html#zypp-envars-mediabackend", null ],
        [ "Variables related to plugins", "zypp-envars.html#zypp-envars-plugin", null ],
        [ "Variables not for common use (test and debug)", "zypp-envars.html#zypp-envars-misc", null ]
      ] ]
    ] ],
    [ "Testing for provided features.", "feature-test.html", [
      [ "Introduction", "feature-test.html#intro", null ],
      [ "Features", "feature-test.html#features", null ]
    ] ],
    [ "Notes on revisions", "Notes.html", [
      [ "6.8.0 - Deprecated methods deleted", "Notes.html#V_6_8_0", null ],
      [ "6.10.0 - Removed zypp::UpgradeStatistics", "Notes.html#V_6_10_0", null ]
    ] ],
    [ "Code 12 Pattern Packages", "zypp-pattern-packages.html", [
      [ "Intro", "zypp-pattern-packages.html#zypp-pattern-packages_intro", null ]
    ] ],
    [ "Extending ZYpp: Plugins and Hooks", "zypp-plugins.html", "zypp-plugins" ],
    [ "Repository Variables", "zypp-repovars.html", [
      [ "Repository Variables", "zypp-repovars.html#zypp-repovars-intro", [
        [ "Builtin repository variables", "zypp-repovars.html#zypp-repoars-builtin", null ],
        [ "User defined repository variables [requires 'libzypp(repovarexpand) >= 1']", "zypp-repovars.html#zypp-repoars-userdefined", null ]
      ] ]
    ] ],
    [ "Services", "zypp-services.html", [
      [ "Classes of services", "zypp-services.html#service-types", [
        [ "Remote Services", "zypp-services.html#services-remote", null ],
        [ "Plugin Services", "zypp-services.html#services-plugin", null ]
      ] ],
      [ "Refreshing services", "zypp-services.html#service-refresh", null ],
      [ "Example usecases", "zypp-services.html#service-examples", [
        [ "Usecase #1: The project with multiple repositories and layers", "zypp-services.html#services-usecase-1", null ],
        [ "Usecase #2: Update repositories based on the customer", "zypp-services.html#services-usecase-2", null ],
        [ "Usecase #3: Dynamic repository collections", "zypp-services.html#services-usecase-3", null ]
      ] ],
      [ "Developers: Implementation", "zypp-services.html#service-impl", null ]
    ] ],
    [ "Solver - Vendor protection", "pg_zypp-solv-vendorchange.html", [
      [ "Vendor protection rule", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange", [
        [ "The vendor protection rule is quite simple:", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-rule", null ]
      ] ],
      [ "Vendor protection tuning", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-tune", [
        [ "Groups of equivalent vendor strings", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-equiv", null ]
      ] ],
      [ "Related classes", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-Impl", null ]
    ] ],
    [ "Writing and tunning testcases", "Testcases.html", [
      [ "Introduction", "Testcases.html#Introduction", null ],
      [ "Anatomy of a ZYpp testcase", "Testcases.html#Anatomy", null ],
      [ "Building and running the testsuite", "Testcases.html#Building", null ],
      [ "References", "Testcases.html#References", null ]
    ] ],
    [ "Libzypp and threads", "thread.html", [
      [ "Libzypp and threads", "thread.html#thread_intro", [
        [ "Logging in threads", "thread.html#thread_loggin", null ]
      ] ]
    ] ],
    [ "User data as transaction id", "zypp-userdata.html", [
      [ "Introduction", "zypp-userdata.html#userdata-introduction", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", null, [
      [ "Namespace List", "namespaces.html", "namespaces" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", null, [
      [ "File List", "files.html", "files" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"APIConfig_8h.html",
"DefaultIntegral_8h.html#a1547a676c9d1f206e0ed614d42d74c2d",
"IdStringType_8h.html#a6e39d67141f5e282321ca13596e7b6a5",
"MediaCD_8cc.html#a6db00f35b9d906468d2488bb95d68a03",
"Package_8cc.html#ad9a31196e3d40982e81add471049c637",
"PoolQueryResult_8cc.html",
"RepoManager_8cc.html#afa372a064cf78fabeb86f4bd35668618",
"SUSEMediaVerifier_8cc.html",
"String_8h.html#a1735725ceabf62c777bfd5db5ad953e3",
"UrlBase_8cc.html#a4592a05961855b4b3ade3a20e9c8667f",
"classzypp_1_1Arch.html#a328c883274f3296ae1a770a992fe12b2",
"classzypp_1_1Capability.html#a5f5ccd373d5f93f6de6ec1e3dccded51",
"classzypp_1_1Date.html#a294c893a6cc68d6a36804e10442accf2",
"classzypp_1_1ExternalProgram.html#accd1acdef68fbfa933382d173674ee7c",
"classzypp_1_1IdStringType.html",
"classzypp_1_1Match.html#a6974e0b83fbcdb4c27f83b107d5edc17",
"classzypp_1_1PluginExecutor.html#a51aa85356ae14874f43bb2cfe45d2330",
"classzypp_1_1PoolQuery.html#aefec1377133f1b7cfa4f40b6bd463722",
"classzypp_1_1PublicSubkeyData.html#a3ff86372138830c84a7c2e4ba71981c2",
"classzypp_1_1Repository.html#ac3b577687771048b7538b4bc061a587a",
"classzypp_1_1ResStatus.html#a673cf77f5529e0248b63f3c7d37a08b9",
"classzypp_1_1ServiceInfo.html#a69c25a78094c85cf10a50e34ac939a14",
"classzypp_1_1VendorAttr.html#a18af4e19f26b8827d930a0ceb402b886",
"classzypp_1_1ZYppCommitResult_1_1Impl.html#a474d269de28034a1180e32a9dec4d36d",
"classzypp_1_1bit_1_1BitField.html#a5267782b6446f155bbab634055126295",
"classzypp_1_1filesystem_1_1PathInfo.html#a72de3dd6d0d7c38eac1cff9c661e60b7",
"classzypp_1_1media_1_1AuthData.html#a86c8a74cb884584292fe7a05b9557e2b",
"classzypp_1_1media_1_1MediaCurl.html#ae362b1521ff48a6fea78a8bb0728e57b",
"classzypp_1_1media_1_1MediaNFS.html#a34519e105fb78e6e733a1e5c009372f7",
"classzypp_1_1media_1_1TransferSettings_1_1Impl.html",
"classzypp_1_1parser_1_1RepoFileReader.html#acb4d0cc6f3887df36b1835460097a362",
"classzypp_1_1repo_1_1RepoInfoBase.html#a80cd6c8e721cfee8d51bca8d5d950e85",
"classzypp_1_1sat_1_1LookupAttr_1_1Impl.html#a38396893900ed1fa85e63bcfb6a28002",
"classzypp_1_1sat_1_1SolvAttr.html#a5838553593fcc1c915dd1cce64410f4c",
"classzypp_1_1sat_1_1Transaction.html#add51c49c43b02d5e40fb757dc489386e",
"classzypp_1_1solver_1_1detail_1_1SolverQueueItemInstallOneOf.html#a70f452dfb8006a76f47f22828e381615",
"classzypp_1_1target_1_1RpmPostTransCollector_1_1Impl.html#acd242aed5c95e0662103f7030b62ff19",
"classzypp_1_1target_1_1rpm_1_1RpmDb.html#a20b759894a92862c7b634b7e8155a417a76732a5b5a4d1b0c7005163282177a39",
"classzypp_1_1target_1_1rpm_1_1librpmDb_1_1db__const__iterator.html#a504295b48e123c6c04e83faa783b7ed3",
"classzypp_1_1url_1_1UrlBaseData.html#af1c05e528f26ef109ea6f673fbd650fa",
"dir_87611d73de4eb3bd0276658efbbf5b67.html",
"group__ZYPP__BASE__LOGGER__MACROS.html#ga07a54e13a88488dcb8827a7bcf4bd31e",
"namespacezypp_1_1HACK.html",
"structzypp_1_1CodeMaps.html#ab72abb297551f4ab1660440675e14f1f",
"structzypp_1_1HistoryActionID.html#acf297e19d3f59b314825bdad6b7fdb35",
"structzypp_1_1ProgressReport.html#ae3d5cbe33a2c6d7beea2e8c46ed680cb",
"structzypp_1_1RepoManager_1_1Impl.html#a5bf7bf60044b830c0c14d1d9234d3074",
"structzypp_1_1base_1_1LogControl_1_1TmpExcessive.html",
"structzypp_1_1functor_1_1Or.html#ab315a57a762eb59921af1091ad12598a",
"structzypp_1_1parser_1_1ProductFileData_1_1Impl.html#a1f8d979dc037bcb814e2766d8b9d1f50",
"structzypp_1_1resfilter_1_1ByArch.html",
"structzypp_1_1str_1_1FormatNAC.html",
"structzypp_1_1ui_1_1StatusHelper.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';